Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger`, `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCounter()` | `optional int32 counter = 2;`
    `long` | `getNodeId()` | `optional int64 node_id = 1;`
    `boolean` | `hasCounter()` | `optional int32 counter = 2;`
    `boolean` | `hasNodeId()` | `optional int64 node_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasNodeId

          boolean hasNodeId()

      `optional int64 node_id = 1;`
      Returns:
        Whether the nodeId field is set.

    - #### getNodeId

          long getNodeId()

      `optional int64 node_id = 1;`
      Returns:
        The nodeId.

    - #### hasCounter

          boolean hasCounter()

      `optional int32 counter = 2;`
      Returns:
        Whether the counter field is set.

    - #### getCounter

          int getCounter()

      `optional int32 counter = 2;`
      Returns:
        The counter.